## libgd2 2.0.36~rc1~dfsg

=== debian/changelog ===
libgd2 (2.0.36~rc1~dfsg-6) unstable; urgency=low

  * Acknowledge NMU.
    Closes: bug#619537, #621612. Thanks to Luk Claes.
  * Rewrite copyright file using draft 174 of DEP-5 format.
  * Add patch 0003 to fix support large images.
    Closes: bug#595368. Thanks to Teodor Milkov.
  * Add patch 0004 to fix printf string formatting.
    Closes: bug#643422. Thanks to Didier Raboud and Thorsten Glaser.
  * Bump Standards-Version to 3.9.2.
  * Bump debhelper compatibility level to 7.
  * Update package relations:
    + Tighten build-dependency on cdbs: Needed to support debhelper 7.
    + Relax build-depend unversioned on debhelper and devscripts: Needed
      versions satisfied even in oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Oct 2011 22:23:42 +0200

libgd2 (2.0.36~rc1~dfsg-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove references to other libraries from dependency_libs field
    Closes: #619537,#621612.

 -- Luk Claes <luk@debian.org>  Mon, 30 May 2011 07:51:27 +0200

libgd2 (2.0.36~rc1~dfsg-5) unstable; urgency=low

  * Workaround CDBS not honoring per-flavor configure flags yet.
    Closes: bug#595709. Thanks to brian m. carlson.
  * Ease building with git-buildpackage:
    + Git-ignore quilt .pc dir.
    + Add dpkg source local-options.
  * Update copyright-check suppression:
    + Fix add ./ prefix.
    + Suppress demo/test graphics.
    + Avoid suppressing the whole debian subdir.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Oct 2010 15:11:45 +0200

libgd2 (2.0.36~rc1~dfsg-4) unstable; urgency=low

  * Acknowledge NMUs. Thanks to Giuseppe Iuculano and Robert Lemmen.
  * Drop local CDBS snippets: All included in main cdbs package now. As
    local snippets conflicted with recent releases of the cdbs package
    this closes: bug#564374. Thanks to Lucas Nussbaum and Philipp Kern.
    Tighten build-dependency on cdbs.
  * Use dpkg source format "3.0 (quilt)". Drop patchsys-quilt.mk and
    related dependencies.
  * Packaging moved to Git:
    + Update Vcs-* stanzas.
    + Add git-buildpackage config enabling pristine-tar and signed tags.
  * Add README.source documenting use of CDBS and git-buildpackage, and
    drop README.cdbs-tweaks. Drop cdbs comments in debian/rules.
  * Add DEP3 hints ot patch.
  * Update packaging hall of shame in TODO.
  * Rewrite debian/copyright using draft DEP5 format rev. 135.
  * Preserve (not clean) upstream-shipped tempfile during build.
  * Depend on ${misc:Depends}. Thanks to lintian.
  * Bump up standards-version to 3.9.1.
  * Use $(filter ...) instead of $(findstring ...) to extract space-
    separated options from DEB_BUILD_OPTIONS in debian/rules.
  * Build-depend unversioned on d-shlibs (needed version satisfied in
    oldstable).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Sep 2010 14:36:52 +0200

libgd2 (2.0.36~rc1~dfsg-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed libjpeg dependency (Closes: #569682)

 -- Robert Lemmen <robertle@semistable.com>  Tue, 23 Mar 2010 17:06:39 +0000

libgd2 (2.0.36~rc1~dfsg-3.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fixed CVE-2009-3546: possible buffer overflow or buffer over-read attacks
    via crafted files (Closes: #552534)

 -- Giuseppe Iuculano <iuculano@debian.org>  Mon, 09 Nov 2009 21:19:11 +0100

libgd2 (2.0.36~rc1~dfsg-3) unstable; urgency=medium

  * Drop bogus "-Wl,--disable-rpath" ld flags.  Closes: bug#478534,
    #476018, thanks to Kumar Appaiah.
  * Install (cleaned copy of) index.html as both README and README.html.
  * Build-depend on html2text (pulled in by debhelper too, but also used
    explicitly so we must depend on it ourselves according to Policy).
  * Update local cdbs snippets:
    + Add and use local autotools.mk extended to support multiple build
      flavors (instead of custom-invoked configure + make).
      As extra bonus this fixes support for cross-compilation (thanks to
      Kumar Appaiah for pointing it out in bug#476018).
    + Add local autotools-vars.mk, makefile.mk and makefile-vars.mk
      needed by local autotools.mk above.
    + Strip non-printable characters in copyright-check.mk.
    + Relaxed copyright-check.mk to only warn by default.
    + Update dependency cleanup to strip cdbs 0.4.27 (not 0.4.27-1).
  * Update debian/copyright-hints.
  * Bump debhelper compatibility level to 6.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
  * Set urgency=medium as this fixes serious FTBFS bugs.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jun 2008 16:54:40 +0200

libgd2 (2.0.36~rc1~dfsg-2) unstable; urgency=medium

  * Add symbols file.
  * Add patch 0001 to fix leak in gdImageCopyResized.
  * Set urgency=medium, as the bugfix above seems security-related.
  * Update local cdbs snippets:
    + Enable patchsys-quilt.mk.
    + Major improvements to update-tarball (but none of them affecting
      this current packaging).
    + Major improvements to copyright-check, including new versioned
      build-dependency on devscripts.  Update debian/copyright_hints.
      Closes: bug#466642.
    + Drop buildcore.mk override.  Set DEB_AUTO_UPDATE_DEBIAN_CONTROL
      directly instead when needed.
    + Update debian/README.cdbs-tweaks
  * Avoid copyright-check choking on config/install.sh and aclocal.m4.
  * Semi-auto-update debian/control to update build-dependencies:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Apr 2008 00:49:13 +0200

libgd2 (2.0.36~rc1~dfsg-1) unstable; urgency=medium

  * New upstream prerelease.
    + Fixed gdImageCopy with true color image, the transparent color was
      ignored
    + Fixed support of PNG grayscale image with alpha channel
    + _gdCreateFromFile() can crash if gdImageCreate fails
    + gdImageCreateFrom*Ptr() can crash if gdNewDynamicCtxEx() fails

