=== debian/control ===
Source: libgd2
Section: graphics
Priority: optional
Maintainer: GD team <pkg-gd-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>, Sean Finney <seanius@debian.org>
Build-Depends: autotools-dev,
 gnulib,
 cdbs (>= 0.4.72~),
 debhelper,
 dh-buildinfo,
 devscripts,
 libpng12-dev,
 libz-dev,
 libjpeg-dev,
 libfreetype6-dev,
 libxpm-dev,
 libx11-dev,
 libxt-dev,
 libfontconfig-dev,
 d-shlibs,
 html2text
Vcs-Git: git://git.debian.org/git/collab-maint/libgd2
Vcs-Browser: http://git.debian.org/?p=collab-maint/libgd2.git;a=summary
Standards-Version: 3.9.2
Homepage: http://www.libgd.org/

Package: libgd-tools
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Suggests: libgd2-noxpm-dev | libgd2-xpm-dev
Description: GD command line tools and example code
 GD is a graphics library. It allows your code to quickly draw images
 complete with lines, arcs, text, multiple colours, cut and paste from
 other images, flood fills, and write out the result as a PNG file.
 This is particularly useful in World Wide Web applications, where PNG is
 one of the formats accepted for inline images by most browsers.
 .
 This is some simple command line tools and example code that use the GD
 graphics library.

Package: libgd2-xpm-dev
Architecture: any
Section: libdevel
Depends: libgd2-xpm (= ${binary:Version}), ${devlibs:Depends}, ${misc:Depends}
Conflicts: libgd-dev, libgd-noxpm-dev, libgd-xpm-dev, libgd2-noxpm-dev
Provides: libgd-dev
Description: GD Graphics Library version 2 (development version)
 GD is a graphics library. It allows your code to quickly draw images
 complete with lines, arcs, text, multiple colours, cut and paste from
 other images, flood fills, and write out the result as a PNG file.
 This is particularly useful in World Wide Web applications, where PNG is
 one of the formats accepted for inline images by most browsers.
 .
 This is the full development version of the library, built with XPM
 (X pixmap) and fontconfig support.

Package: libgd2-noxpm-dev
Architecture: any
Section: libdevel
Depends: libgd2-noxpm (= ${binary:Version}), ${devlibs:Depends}, ${misc:Depends}
Conflicts: libgd-dev, libgd-noxpm-dev, libgd-xpm-dev, libgd2-xpm-dev
Provides: libgd-dev
Description: GD Graphics Library version 2 (development version)
 GD is a graphics library. It allows your code to quickly draw images
 complete with lines, arcs, text, multiple colours, cut and paste from
 other images, flood fills, and write out the result as a PNG file.
 This is particularly useful in World Wide Web applications, where PNG is
 one of the formats accepted for inline images by most browsers.
 .
 This is the full development version of the library, built without XPM
 (X pixmap) or fontconfig support.

Package: libgd2-xpm
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgd2, libgd2-noxpm
Provides: libgd2
Suggests: libgd-tools
Description: GD Graphics Library version 2
 GD is a graphics library. It allows your code to quickly draw images
 complete with lines, arcs, text, multiple colours, cut and paste from
 other images, flood fills, and write out the result as a PNG file.
 This is particularly useful in World Wide Web applications, where PNG is
 one of the formats accepted for inline images by most browsers.
 .
 This is the runtime package of the library, built with XPM (X pixmap)
 and fontconfig support.

Package: libgd2-noxpm
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgd2, libgd2-xpm
Provides: libgd2
Suggests: libgd-tools
Description: GD Graphics Library version 2 (without XPM support)
 GD is a graphics library. It allows your code to quickly draw images
 complete with lines, arcs, text, multiple colours, cut and paste from
 other images, flood fills, and write out the result as a PNG file.
 This is particularly useful in World Wide Web applications, where PNG is
 one of the formats accepted for inline images by most browsers.
 .
 This is the runtime package of the library, built without XPM (X pixmap)
 or fontconfig support.
