## libgd2 2.0.36%7erc1%7edfsg

=== debian/changelog ===
libgd2 (2.0.36~rc1~dfsg-6ubuntu2.3) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service via invalid read in
    gdImageCreateFromTiffPtr()
    - debian/patches/CVE-2016-6911.patch: check out of bounds reads in
      gd_io_dp.c.
    - CVE-2016-6911
  * SECURITY UPDATE: stack buffer overflow in dynamicGetbuf
    - debian/patches/CVE-2016-8670.patch: avoid potentially dangerous
      signed to unsigned conversion in gd_io_dp.c.
    - CVE-2016-8670

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Oct 2016 14:24:19 +0200

libgd2 (2.0.36~rc1~dfsg-6ubuntu2.2) precise-security; urgency=medium

  * SECURITY UPDATE: integer overflow in _gd2GetHeader()
    - debian/patches/CVE-2016-5766.patch: check for overflow in gd_gd2.c.
    - CVE-2016-5766
  * SECURITY UPDATE: out of bounds read of masks array
    - debian/patches/CVE-2016-6161.patch: properly handle EOF marker in
      gd_gif_out.c.
    - CVE-2016-6161

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Jul 2016 14:52:13 -0400

libgd2 (2.0.36~rc1~dfsg-6ubuntu2.1) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted color table in XPM file
    - debian/patches/CVE-2014-2497.patch: avoid null-pointer dereference in
      gdxpm.c.
    - CVE-2014-2497
  * SECURITY UPDATE: denial of service via crafted GIF image
    - debian/patches/CVE-2014-9709-1.patch: fix buffer read overflow in
      gd_gif_in.c.
    - debian/patches/CVE-2014-9709-2.patch: move overflow test outside the
      loop in gd_gif_in.c.
    - CVE-2014-9709
  * SECURITY UPDATE: denial of service via crafted imagefilltoborder call
    - debian/patches/CVE-2015-8874.patch: add limits to gd.c.
    - CVE-2015-8874
  * SECURITY UPDATE: denial of service and possible code execution via
    crafted compressed gd2 data
    - debian/patches/CVE-2016-3074.patch: perform range checking in
      gd_gd2.c.
    - CVE-2016-3074

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 May 2016 10:01:57 -0400

libgd2 (2.0.36~rc1~dfsg-6ubuntu2) precise; urgency=low

  [ Kees Cook ]
  * debian/{control*,rules}: Added Multi-Arch support.
  * debian/rules: Drop .la file completely; not used by anything.

  [ Steve Langasek ]
  * Drop the autogeneration of debian/control, since this gives us a
    build-dep on non-multiarch-safe dh-buildinfo and wrong versioned
    build-deps on d-shlibs and cdbs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Dec 2011 23:51:56 +0000

libgd2 (2.0.36~rc1~dfsg-6ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/control: Drop unnecessary build dependency 'gnulib'.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Oct 2011 14:53:58 +0100

libgd2 (2.0.36~rc1~dfsg-5.1ubuntu2) precise; urgency=low

  * Rebuild for libjpeg8.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Oct 2011 13:58:21 +0100

libgd2 (2.0.36~rc1~dfsg-5.1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/control: Drop unnecessary build dependency 'gnulib'.
  * Dropped changes, merged in Debian:
    - debian/rules: clean the dependency_libs out of .la files at build
      time, per Policy 10.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 04 Jun 2011 20:07:38 +0000

libgd2 (2.0.36~rc1~dfsg-5ubuntu2) natty; urgency=low

  * debian/rules: clean the dependency_libs out of .la files at build
    time, per Policy 10.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Mar 2011 13:14:55 -0700

libgd2 (2.0.36~rc1~dfsg-5ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #689279). Remaining changes:
    - debian/control: Drop unnecessary build dependency 'gnulib'.

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 13 Dec 2010 01:08:10 +0100

libgd2 (2.0.36~rc1~dfsg-3.2ubuntu1) maverick; urgency=low

  * Merge from Debian testing (LP: #606384). Remaining changes:
    - debian/control: Drop unnecessary build dependency 'gnulib'.

 -- Angel Abad <angelabad@gmail.com>  Wed, 05 May 2010 02:32:35 +0100

libgd2 (2.0.36~rc1~dfsg-3.1ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
    - debian/control: Drop unnecessary build dependency 'gnulib'.

 -- Kees Cook <kees@ubuntu.com>  Tue, 08 Dec 2009 16:59:29 -0800

libgd2 (2.0.36~rc1~dfsg-3ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: Drop unnecessary build dependency 'gnulib'.

 -- Kees Cook <kees@ubuntu.com>  Sun, 03 Aug 2008 19:21:21 -0700

libgd2 (2.0.35.dfsg-3ubuntu2) hardy; urgency=low

  * debian/rules: Remove -Wl,--disable-rpath from CFLAGS, as this is not
    a valid linker option.  LP: #194518.
  * debian/rules: export the CFLAGS, so they're consistently used even
    when not called via dpkg-buildpackage.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Feb 2008 07:10:48 +0000

libgd2 (2.0.35.dfsg-3ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: Drop unnecessary build dependency 'gnulib'.
    - maintainer field updates

 -- Kees Cook <kees@ubuntu.com>  Thu, 06 Dec 2007 17:02:21 -0800

libgd2 (2.0.34-1ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: Drop unnecessary build dependency 'gnulib'.
    - maintainer field updates
  * gd_png.c: apply upstream fixes for endless loop bug.
  * References
    http://bugs.libgd.org/?do=details&task_id=86
    CVE-2007-2756

 -- Kees Cook <kees@ubuntu.com>  Mon, 11 Jun 2007 14:24:51 -0700

libgd2 (2.0.34~rc1-2ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: Drop unnecessary build dependency 'gnulib'.

 -- Kees Cook <kees@ubuntu.com>  Tue,  6 Feb 2007 21:15:32 -0800

libgd2 (2.0.34~rc1-2) unstable; urgency=high

  * Use CDBS-calculated DEB_UPSTREAM_VERSION for package dependencies
    (and locally-calculated version string only for soname). Fixes

