=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: libgd2
 Section: graphics
 Priority: optional
-Maintainer: GD team <pkg-gd-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: GD team <pkg-gd-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>, Sean Finney <seanius@debian.org>
 Build-Depends: autotools-dev,
- gnulib,
- cdbs (>= 0.4.72~),
+ cdbs (>= 0.4.93~),
  debhelper,
- dh-buildinfo,
  devscripts,
  libpng12-dev,
  libz-dev,
@@ -17,7 +16,7 @@
  libx11-dev,
  libxt-dev,
  libfontconfig-dev,
- d-shlibs,
+ d-shlibs (>= 0.48),
  html2text
 Vcs-Git: git://git.debian.org/git/collab-maint/libgd2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libgd2.git;a=summary
@@ -40,6 +39,7 @@
 
 Package: libgd2-xpm-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libgd2-xpm (= ${binary:Version}), ${devlibs:Depends}, ${misc:Depends}
 Conflicts: libgd-dev, libgd-noxpm-dev, libgd-xpm-dev, libgd2-noxpm-dev
@@ -56,6 +56,7 @@
 
 Package: libgd2-noxpm-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libgd2-noxpm (= ${binary:Version}), ${devlibs:Depends}, ${misc:Depends}
 Conflicts: libgd-dev, libgd-noxpm-dev, libgd-xpm-dev, libgd2-xpm-dev
@@ -72,7 +73,9 @@
 
 Package: libgd2-xpm
 Architecture: any
+Multi-Arch: same
 Section: libs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libgd2, libgd2-noxpm
 Provides: libgd2
@@ -89,7 +92,9 @@
 
 Package: libgd2-noxpm
 Architecture: any
+Multi-Arch: same
 Section: libs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libgd2, libgd2-xpm
 Provides: libgd2
